package org.jeecg.modules.bytedance.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.bytedance.common.entity.CtopOauthToken;

import java.util.List;

/**
 * oauth授权码
 * @author jeecg-boot
 * 2019-07-09
 * @version V1.0
 */
public interface CtopOauthTokenMapper extends BaseMapper<CtopOauthToken> {
    /**
     * 更新
     *
     * @param oauthToken 授权信息
     * @return i
     */
    int updateByPrimaryKeySelective(CtopOauthToken oauthToken);

    /**
     * 根据accountId查询
     *
     * @param accountId 账户id
     * @return token
     */
    CtopOauthToken selectByAccountId(Long accountId);

    List<CtopOauthToken> selectKuaiShouToken();

    List<CtopOauthToken> selectKuaiShouTokenBefore();

    List<CtopOauthToken> selectToutiaoToken();

    CtopOauthToken getAccessTokenByAccountIdAndMediaId(@Param("mediaId") Integer mediaId, @Param("accountId") Long accountId);

    List<CtopOauthToken> getToutiaoTokenByCreateTime(@Param("createTime") String createTime);

    /**
     * 查询头条token
     *
     * @param platformTypeByteDance
     * @return
     */
    List<CtopOauthToken> selectByteDanceTokens(@Param("mediaId") String platformTypeByteDance);


    /**
     * 查询头条token
     *
     * @param platformTypeByteDance
     * @return
     */
    List<CtopOauthToken> selectKuaiShouTokens(@Param("mediaId") String platformTypeByteDance);

}
